Bug 1489092 (CVE-2017-8281) - CVE-2017-8281 kernel: use after free in the recvmmsg exit path
Summary: CVE-2017-8281 kernel: use after free in the recvmmsg exit path
Keywords:
Status: CLOSED DUPLICATE of bug 1382268
Alias: CVE-2017-8281
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-06 16:38 UTC by Adam Mariš
Modified: 2021-02-17 01:35 UTC (History)
45 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-06 16:42:30 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-09-06 16:38:40 UTC
Use after free vulnerability in the recvmmsg exit path was found.

Patch:

https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id%3D9be5b16de622c2426408425e3df29e945cd21d37&sa=D&usg=AFQjCNHuM63XOo5Y0C7bMJQIIedBHSDKjw

Comment 2 Adam Mariš 2017-09-06 16:49:03 UTC
External References:

https://source.android.com/security/bulletin/2017-09-01

Comment 3 Adam Mariš 2017-09-06 16:59:25 UTC
Statement:

This issue is a duplicate of CVE-2016-7117; refer to that CVE for details.  It has already been fixed in all supported Red Hat products.

Comment 4 Adam Mariš 2017-09-07 08:53:22 UTC

*** This bug has been marked as a duplicate of bug 1382268 ***


Note You need to log in before you can comment on or make changes to this bug.